IBANCode
Date: 2015-04-26

de.jost_net.OBanToo.SEPA

## Enum IBANCode

- java.lang.Object
- - java.lang.Enum<IBANCode>
  - - de.jost_net.OBanToo.SEPA.IBANCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IBANCode>

      public enum IBANCode
      extends java.lang.Enum<IBANCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUFBAUKONTONUMMERFALSCH`
    `BICNICHTGUELTIG`
    `BLZUNGUELTIG`
    `GEMELDETEBLZURLOESCHUNGOHNENACHFOLGEBLZ`
    `GEMELDETEBLZZURLOESCHUNGVORGEMERKT`
    `GUELTIG`
    `IBANALTUNGUELTIG`
    `IBANBERECHNUNGNICHTMOEGLICH`
    `KOMBINATIONBLZKONTOUNZULAESSIG`
    `KONTOKEINKONTODERUMSTELLENDENSTELLE`
    `KONTONUMMERERSETZT`
    `KONTONUMMERUNGUELTIG`
    `PRUEFZIFFERIBANALTFALSCH`
    `PRUEFZIFFERNMETHODEFEHLT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `message`
    `private java.lang.String` | `number`
    `private int` | `status`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IBANCode` | `fromString(java.lang.String code)`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getNumber()`
    `int` | `getStatus()`
    `static IBANCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IBANCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GUELTIG

          public static final IBANCode GUELTIG

    - #### KONTONUMMERERSETZT

          public static final IBANCode KONTONUMMERERSETZT

    - #### PRUEFZIFFERNMETHODEFEHLT

          public static final IBANCode PRUEFZIFFERNMETHODEFEHLT

    - #### BLZUNGUELTIG

          public static final IBANCode BLZUNGUELTIG

    - #### AUFBAUKONTONUMMERFALSCH

          public static final IBANCode AUFBAUKONTONUMMERFALSCH

    - #### KOMBINATIONBLZKONTOUNZULAESSIG

          public static final IBANCode KOMBINATIONBLZKONTOUNZULAESSIG

    - #### GEMELDETEBLZZURLOESCHUNGVORGEMERKT

          public static final IBANCode GEMELDETEBLZZURLOESCHUNGVORGEMERKT

    - #### GEMELDETEBLZURLOESCHUNGOHNENACHFOLGEBLZ

          public static final IBANCode GEMELDETEBLZURLOESCHUNGOHNENACHFOLGEBLZ

    - #### IBANALTUNGUELTIG

          public static final IBANCode IBANALTUNGUELTIG

    - #### PRUEFZIFFERIBANALTFALSCH

          public static final IBANCode PRUEFZIFFERIBANALTFALSCH

    - #### BICNICHTGUELTIG

          public static final IBANCode BICNICHTGUELTIG

    - #### KONTOKEINKONTODERUMSTELLENDENSTELLE

          public static final IBANCode KONTOKEINKONTODERUMSTELLENDENSTELLE

    - #### IBANBERECHNUNGNICHTMOEGLICH

          public static final IBANCode IBANBERECHNUNGNICHTMOEGLICH

    - #### KONTONUMMERUNGUELTIG

          public static final IBANCode KONTONUMMERUNGUELTIG

  - ### Field Detail

    - #### number

          private final java.lang.String number

    - #### message

          private final java.lang.String message

    - #### status

          private final int status

  - ### Method Detail

    - #### values

          public static IBANCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IBANCode c : IBANCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IBANCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public java.lang.String getNumber()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getStatus

          public int getStatus()

    - #### fromString

          public static IBANCode fromString(java.lang.String code)